Mailinglist Archive: opensuse-commit (794 mails)
| < Previous | Next > |
commit virtualbox-ose for openSUSE:Factory
- From: root@xxxxxxxxxxxxxxx (h_root)
- Date: Thu, 17 Sep 2009 01:11:30 +0200
- Message-id: <20090916231130.CF0C56314@xxxxxxxxxxxxxxx>
Hello community,
here is the log from the commit of package virtualbox-ose for openSUSE:Factory
checked in at Thu Sep 17 01:11:30 CEST 2009.
--------
--- virtualbox-ose/virtualbox-ose.changes 2009-09-10 10:20:10.000000000
+0200
+++ virtualbox-ose/virtualbox-ose.changes 2009-09-14 15:13:14.000000000
+0200
@@ -1,0 +2,7 @@
+Mon Sep 14 10:17:15 CEST 2009 - mseben@xxxxxxxxxx
+
+- rewritten init-scripts.diff (bnc#537793) and added
+ /etc/default/virtualbox config, which allow configure type of
+ session shutdown (thanks to Dennis Olsson)
+
+-------------------------------------------------------------------
calling whatdependson for head-i586
New:
----
default.virtualbox
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ virtualbox-ose.spec ++++++
--- /var/tmp/diff_new_pack.bzC0S1/_old 2009-09-17 01:09:59.000000000 +0200
+++ /var/tmp/diff_new_pack.bzC0S1/_new 2009-09-17 01:09:59.000000000 +0200
@@ -62,7 +62,7 @@
#
ExclusiveArch: %ix86 x86_64
Version: 3.0.6
-Release: 1
+Release: 2
Summary: VirtualBox OSE is an Emulator
License: GPL v2 or later
Group: System/Emulators/PC
@@ -78,6 +78,7 @@
Source8: preamble
Source9: virtualbox-ose.easy
Source10: virtualbox-ose.secure
+Source11: default.virtualbox
Source99: virtualbox-patch-source
#
Patch0: vbox-futex.diff
@@ -357,6 +358,9 @@
%__cp %{SOURCE4} %{name}.desktop
%suse_update_desktop_file -i %{name} System Emulator
%__install -d -m 755 %{buildroot}%{_sbindir}
+# install config with session shutdown defs
+%__install -d -m 755 %{buildroot}%{_sysconfdir}/default/
+%__install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/default/virtualbox
# create rc symlinks
for file in vboxdrv vboxadd; do
%__ln_s %{_sysconfdir}/init.d/$file %{buildroot}%{_sbindir}/rc$file
@@ -481,6 +485,7 @@
%{_datadir}/virtualbox/nls/*.qm
%dir %{_sysconfdir}/vbox
%config %{_sysconfdir}/vbox/vbox.cfg
+%config %{_sysconfdir}/default/virtualbox
%{_sysconfdir}/udev/rules.d/60-vboxdrv.rules
%{_sysconfdir}/init.d/vboxdrv
%{_sbindir}/rcvboxdrv
++++++ default.virtualbox ++++++
# /etc/default/virtualbox
#
#
-------------------------------------------------------------------------------------------------
# In the "SHUTDOWN_USERS" list all users for which a check for runnings VMs
should be done during
# shutdown of "vboxdrv" resp. the server:
# SHUTDOWN_USERS="foo bar"
#
# Set "SHUTDOWN" to one of "poweroff", "acpibutton" or "savestate" depending on
which of the
# shutdown methods for running VMs are wanted:
# SHUTDOWN="poweroff"
# SHUTDOWN="acpibutton"
# SHUTDOWN="savestate"
#
-------------------------------------------------------------------------------------------------
#
#SHUTDOWN_USERS="foo bar"
#SHUTDOWN="savestate"
++++++ virtualbox-ose-init-scripts.diff ++++++
--- /var/tmp/diff_new_pack.bzC0S1/_old 2009-09-17 01:10:00.000000000 +0200
+++ /var/tmp/diff_new_pack.bzC0S1/_new 2009-09-17 01:10:00.000000000 +0200
@@ -18,7 +18,38 @@
if [ -f /etc/arch-release ]; then
system=arch
elif [ -f /etc/redhat-release ]; then
-@@ -229,19 +224,17 @@ start()
+@@ -143,8 +138,6 @@
+
+ dev=/dev/vboxadd
+ userdev=/dev/vboxuser
+-owner=vboxadd
+-group=1
+
+ fail()
+ {
+@@ -204,12 +197,6 @@
+ fail "Cannot create device $dev with major $maj and minor $min"
+ }
+ fi
+- chown $owner:$group $dev 2>/dev/null || {
+- rm -f $dev 2>/dev/null
+- rm -f $userdev 2>/dev/null
+- rmmod vboxadd 2>/dev/null
+- fail "Cannot change owner $owner:$group for device $dev"
+- }
+
+ if [ ! -c $userdev ]; then
+ maj=10
+@@ -220,28 +207,20 @@
+ rmmod vboxadd 2>/dev/null
+ fail "Cannot create device $userdev with major $maj and minor
$min"
+ }
+- chown $owner:$group $userdev 2>/dev/null || {
+- rm -f $dev 2>/dev/null
+- rm -f $userdev 2>/dev/null
+- rmmod vboxadd 2>/dev/null
+- fail "Cannot change owner $owner:$group for device $userdev"
+- }
fi
fi
@@ -48,7 +79,7 @@
# Mount all shared folders from /etc/fstab. Normally this is done by some
# other startup script but this requires the vboxdrv kernel module loaded.
-@@ -254,14 +247,14 @@ start()
+@@ -254,14 +233,14 @@
stop()
{
begin "Stopping VirtualBox Additions ";
@@ -67,7 +98,7 @@
if running_vboxadd; then
rmmod vboxadd 2>/dev/null || fail "Cannot unload module vboxadd"
rm -f $userdev || fail "Cannot unlink $userdev"
-@@ -279,40 +272,10 @@ restart()
+@@ -279,40 +258,10 @@
setup()
{
@@ -111,7 +142,7 @@
echo "You should reboot your guest to make sure the new modules are
actually used"
}
-@@ -325,6 +288,16 @@ dmnstatus()
+@@ -325,6 +274,16 @@
fi
}
@@ -128,7 +159,7 @@
case "$1" in
start)
start
-@@ -341,8 +314,11 @@ setup)
+@@ -341,8 +300,11 @@
status)
dmnstatus
;;
@@ -145,14 +176,14 @@
===================================================================
--- src/VBox/Installer/linux/vboxdrv.sh.in.orig
+++ src/VBox/Installer/linux/vboxdrv.sh.in
-@@ -19,11 +19,12 @@
+@@ -19,121 +19,45 @@
#
### BEGIN INIT INFO
# Provides: vboxdrv
-# Required-Start: $syslog
-# Required-Stop:
+# Required-Start: $syslog $remote_fs
-+# Required-Stop: $null
++# Required-Stop: $syslog $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: VirtualBox Linux kernel module
@@ -160,7 +191,136 @@
### END INIT INFO
PATH=/sbin:/bin:/usr/sbin:/usr/bin:$PATH
-@@ -182,13 +183,6 @@ start()
+ DEVICE=/dev/vboxdrv
+ GROUPNAME=vboxusers
+ LOG="/var/log/vbox-install.log"
+-NOLSB=%NOLSB%
+
+ [ -f /lib/lsb/init-functions ] || NOLSB=yes
+ [ -f /etc/vbox/vbox.cfg ] && . /etc/vbox/vbox.cfg
+
+-if [ -n "$INSTALL_DIR" ]; then
+- VBOXMANAGE="$INSTALL_DIR/VBoxManage"
+- BUILDVBOXDRV="$INSTALL_DIR/src/vboxdrv/build_in_tmp"
+- BUILDVBOXNETFLT="$INSTALL_DIR/src/vboxnetflt/build_in_tmp"
+- BUILDVBOXNETADP="$INSTALL_DIR/src/vboxnetadp/build_in_tmp"
+-else
+- VBOXMANAGE="/usr/lib/%PACKAGE%/VBoxManage"
+- BUILDVBOXDRV="/usr/share/%PACKAGE%/src/vboxdrv/build_in_tmp"
+- BUILDVBOXNETFLT="/usr/share/%PACKAGE%/src/vboxnetflt/build_in_tmp"
+- BUILDVBOXNETADP="/usr/share/%PACKAGE%/src/vboxnetadp/build_in_tmp"
+-fi
+-
+-if [ -n "$NOLSB" ]; then
+- if [ -f /etc/redhat-release ]; then
+- system=redhat
+- elif [ -f /etc/SuSE-release ]; then
+- system=suse
+- elif [ -f /etc/gentoo-release ]; then
+- system=gentoo
+- fi
+-fi
++VBOXMANAGE="$INSTALL_DIR/VBoxManage"
+
+-[ -r /etc/default/%PACKAGE% ] && . /etc/default/%PACKAGE%
++[ -r /etc/default/virtualbox ] && . /etc/default/virtualbox
+
+-if [ -z "$NOLSB" ]; then
+- . /lib/lsb/init-functions
+- fail_msg() {
+- echo ""
+- log_failure_msg "$1"
+- }
+- succ_msg() {
+- log_success_msg " done."
+- }
+- begin_msg() {
+- log_daemon_msg "$@"
+- }
+-else
+- if [ "$system" = "redhat" ]; then
+- . /etc/init.d/functions
+- fail_msg() {
+- echo -n " "
+- echo_failure
+- echo
+- echo " ($1)"
+- }
+- succ_msg() {
+- echo -n " "
+- echo_success
+- echo
+- }
+- elif [ "$system" = "suse" ]; then
+- . /etc/rc.status
+- fail_msg() {
+- rc_failed 1
+- rc_status -v
+- echo " ($1)"
+- }
+- succ_msg() {
+- rc_reset
+- rc_status -v
+- }
+- elif [ "$system" = "gentoo" ]; then
+- if [ -f /sbin/functions.sh ]; then
+- . /sbin/functions.sh
+- elif [ -f /etc/init.d/functions.sh ]; then
+- . /etc/init.d/functions.sh
+- fi
+- fail_msg() {
+- eerror "$1"
+- }
+- succ_msg() {
+- eend "$?"
+- }
+- begin_msg() {
+- ebegin "$1"
+- }
+- if [ "`which $0`" = "/sbin/rc" ]; then
+- shift
+- fi
++. /etc/rc.status
++
++fail_msg() {
++ rc_failed 1
++ rc_status -v
++ echo " ($1)"
++}
++succ_msg() {
++ rc_reset
++ rc_status -v
++}
++begin_msg() {
++ [ -z "${1:-}" ] && return 1
++ if [ -z "${2:-}" ]; then
++ echo -n "$1"
+ else
+- fail_msg() {
+- echo " ...failed!"
+- echo " ($1)"
+- }
+- succ_msg() {
+- echo " ...done."
+- }
+- fi
+- if [ "$system" != "gentoo" ]; then
+- begin_msg() {
+- [ -z "${1:-}" ] && return 1
+- if [ -z "${2:-}" ]; then
+- echo -n "$1"
+- else
+- echo -n "$1: $2"
+- fi
+- }
++ echo -n "$1: $2"
+ fi
+-fi
++}
+
+ failure()
+ {
+@@ -182,13 +106,6 @@
failure "Cannot create device $DEVICE with major $MAJOR and minor
$MINOR"
fi
fi
@@ -174,7 +334,16 @@
if ! modprobe vboxnetflt > /dev/null 2>&1; then
failure "modprobe vboxnetflt failed. Please use 'dmesg' to find out
why"
fi
-@@ -272,38 +266,8 @@ stop_vms()
+@@ -222,7 +139,7 @@
+ succ_msg
+ }
+
+-# enter the following variables in /etc/default/%PACKAGE%:
++# enter the following variables in /etc/default/virtualbox
+ # SHUTDOWN_USERS="foo bar"
+ # check for running VMs of user foo and user bar
+ # SHUTDOWN=poweroff
+@@ -272,38 +189,8 @@
setup()
{
stop
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Remember to have fun...
--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |